diff --git a/drupal7/sites/all/modules/ldap/ldap_authorization/ldap_authorization_drupal_role/LdapAuthorizationConsumerRole.class.php b/drupal7/sites/all/modules/ldap/ldap_authorization/ldap_authorization_drupal_role/LdapAuthorizationConsumerRole.class.php
index f587c1fc..1771ba5c 100644
--- a/drupal7/sites/all/modules/ldap/ldap_authorization/ldap_authorization_drupal_role/LdapAuthorizationConsumerRole.class.php
+++ b/drupal7/sites/all/modules/ldap/ldap_authorization/ldap_authorization_drupal_role/LdapAuthorizationConsumerRole.class.php
@@ -14,14 +14,14 @@ class LdapAuthorizationConsumerDrupalRole extends LdapAuthorizationConsumerAbstr
   public $consumerType = 'drupal_role';
   public $allowConsumerObjectCreation = TRUE;
 
-  public $defaultConsumerConfProperties = array(
+  public $defaultConsumerConfProperties = [
     'onlyApplyToLdapAuthenticated' => TRUE,
     'useMappingsAsFilter' => TRUE,
     'synchOnLogon' => TRUE,
     'revokeLdapProvisioned' => TRUE,
     'regrantLdapProvisioned' => TRUE,
     'createConsumers' => TRUE,
-  );
+  ];
 
   /**
    *
@@ -45,7 +45,7 @@ class LdapAuthorizationConsumerDrupalRole extends LdapAuthorizationConsumerAbstr
     elseif (drupal_strlen($consumer_id) > 63) {
       watchdog('ldap_authorization_drupal_role', 'Tried to create drupal role
         with name of over 63 characters (%group_name).  Please correct your
-        drupal ldap_authorization settings', array('%group_name' => $consumer_id));
+        drupal ldap_authorization settings', ['%group_name' => $consumer_id]);
       return FALSE;
     }
 
@@ -53,13 +53,13 @@ class LdapAuthorizationConsumerDrupalRole extends LdapAuthorizationConsumerAbstr
     $new_role->name = empty($consumer['value']) ? $consumer_id : $consumer['value'];
     if (!($status = user_role_save($new_role))) {
       // If role is not created, remove from array to user object doesn't have it stored as granted.
-      watchdog('user', 'failed to create drupal role %role in ldap_authorizations module', array('%role' => $new_role->name));
+      watchdog('user', 'failed to create drupal role %role in ldap_authorizations module', ['%role' => $new_role->name]);
       return FALSE;
     }
     else {
       // Flush existingRolesByRoleName cache after creating new role.
       $roles_by_consumer_id = $this->existingRolesByRoleName(TRUE);
-      watchdog('user', 'created drupal role %role in ldap_authorizations module', array('%role' => $new_role->name));
+      watchdog('user', 'created drupal role %role in ldap_authorizations module', ['%role' => $new_role->name]);
     }
     return TRUE;
   }
@@ -119,7 +119,7 @@ class LdapAuthorizationConsumerDrupalRole extends LdapAuthorizationConsumerAbstr
     }
     else {
       unset($user->roles[$rid]);
-      $user_edit = array('roles' => $user->roles);
+      $user_edit = ['roles' => $user->roles];
       $account = user_load($user->uid);
       $user = user_save($account, $user_edit);
       $result = ($user && !isset($user->roles[$rid]));
@@ -131,12 +131,12 @@ class LdapAuthorizationConsumerDrupalRole extends LdapAuthorizationConsumerAbstr
     if ($this->detailedWatchdogLog) {
       watchdog('ldap_authorization', 'LdapAuthorizationConsumerDrupalRole.revokeSingleAuthorization()
         revoked:  rid=%rid, role_name=%role_name for username=%username, result=%result',
-        array(
+        [
           '%rid' => $rid,
           '%role_name' => $role_name,
           '%username' => $user->name,
           '%result' => $result,
-        ), WATCHDOG_DEBUG);
+        ], WATCHDOG_DEBUG);
     }
 
     return $result;
@@ -154,15 +154,15 @@ class LdapAuthorizationConsumerDrupalRole extends LdapAuthorizationConsumerAbstr
     if (is_null($rid)) {
       watchdog('ldap_authorization', 'LdapAuthorizationConsumerDrupalRole.grantSingleAuthorization()
       failed to grant %username the role %role_name because role does not exist',
-      array('%role_name' => $role_name, '%username' => $user->name),
+      ['%role_name' => $role_name, '%username' => $user->name],
       WATCHDOG_ERROR);
       return FALSE;
     }
 
     $user->roles[$rid] = $role_name;
-    $user_edit = array('roles' => $user->roles);
+    $user_edit = ['roles' => $user->roles];
     if ($this->detailedWatchdogLog) {
-      watchdog('ldap_authorization', 'grantSingleAuthorization in drupal rold' . print_r($user, TRUE), array(), WATCHDOG_DEBUG);
+      watchdog('ldap_authorization', 'grantSingleAuthorization in drupal rold' . print_r($user, TRUE), [], WATCHDOG_DEBUG);
     }
 
     $account = user_load($user->uid);
@@ -172,12 +172,12 @@ class LdapAuthorizationConsumerDrupalRole extends LdapAuthorizationConsumerAbstr
     if ($this->detailedWatchdogLog) {
       watchdog('ldap_authorization', 'LdapAuthorizationConsumerDrupalRole.grantSingleAuthorization()
         granted: rid=%rid, role_name=%role_name for username=%username, result=%result',
-        array(
+        [
           '%rid' => $rid,
           '%role_name' => $role_name,
           '%username' => $user->name,
           '%result' => $result,
-        ), WATCHDOG_DEBUG);
+        ], WATCHDOG_DEBUG);
     }
 
     return $result;
@@ -188,7 +188,7 @@ class LdapAuthorizationConsumerDrupalRole extends LdapAuthorizationConsumerAbstr
    *
    */
   public function usersAuthorizations(&$user) {
-    $authorizations = array();
+    $authorizations = [];
     foreach ($user->roles as $rid => $role_name_mixed_case) {
       $authorizations[] = drupal_strtolower($role_name_mixed_case);
     }
@@ -204,7 +204,7 @@ class LdapAuthorizationConsumerDrupalRole extends LdapAuthorizationConsumerAbstr
     $message_type = NULL;
     $message_text = NULL;
     $role_name = $mapping['normalized'];
-    $tokens = array('!map_to' => $role_name);
+    $tokens = ['!map_to' => $role_name];
     $roles_by_name = $this->existingRolesByRoleName();
     $pass = isset($roles_by_name[drupal_strtolower($role_name)]);
 
@@ -229,7 +229,7 @@ class LdapAuthorizationConsumerDrupalRole extends LdapAuthorizationConsumerAbstr
         $message_text .= ' ' . t('Since automatic Drupal role creation is disabled, an existing role must be mapped to.  Either enable role creation or map to an existing role.');
       }
     }
-    return array($message_type, $message_text);
+    return [$message_type, $message_text];
   }
 
   /**
@@ -253,7 +253,7 @@ class LdapAuthorizationConsumerDrupalRole extends LdapAuthorizationConsumerAbstr
     static $roles_by_name;
 
     if ($reset || !is_array($roles_by_name)) {
-      $roles_by_name = array();
+      $roles_by_name = [];
       foreach (array_flip(user_roles(TRUE)) as $role_name => $rid) {
         $roles_by_name[drupal_strtolower($role_name)]['rid'] = $rid;
         $roles_by_name[drupal_strtolower($role_name)]['role_name'] = $role_name;
@@ -267,19 +267,19 @@ class LdapAuthorizationConsumerDrupalRole extends LdapAuthorizationConsumerAbstr
    */
   public function normalizeMappings($mappings) {
 
-    $new_mappings = array();
+    $new_mappings = [];
     // In rid => role name format.
     $roles = user_roles(TRUE);
     $roles_by_name = array_flip($roles);
     foreach ($mappings as $i => $mapping) {
-      $new_mapping = array();
+      $new_mapping = [];
       $new_mapping['user_entered'] = $mapping[1];
       $new_mapping['from'] = $mapping[0];
       $new_mapping['normalized'] = $mapping[1];
       $new_mapping['simplified'] = $mapping[1];
       $create_consumers = (boolean) ($this->allowConsumerObjectCreation && $this->consumerConf->createConsumers);
       $new_mapping['valid'] = (boolean) (!$create_consumers && !empty($roles_by_name[$mapping[1]]));
-      $new_mapping['error_message'] = ($new_mapping['valid']) ? '' : t("Role %role_name does not exist and role creation is not enabled.", array('%role' => $mapping[1]));
+      $new_mapping['error_message'] = ($new_mapping['valid']) ? '' : t("Role %role_name does not exist and role creation is not enabled.", ['%role' => $mapping[1]]);
       $new_mappings[] = $new_mapping;
     }
 
@@ -290,7 +290,7 @@ class LdapAuthorizationConsumerDrupalRole extends LdapAuthorizationConsumerAbstr
    * @see ldapAuthorizationConsumerAbstract::convertToFriendlyAuthorizationIds
    */
   public function convertToFriendlyAuthorizationIds($authorizations) {
-    $authorization_ids_friendly = array();
+    $authorization_ids_friendly = [];
     foreach ($authorizations as $authorization_id => $authorization) {
       $authorization_ids_friendly[] = $authorization['name'] . '  (' . $authorization_id . ')';
     }
diff --git a/drupal7/sites/all/modules/ldap/ldap_authorization/ldap_authorization_drupal_role/ldap_authorization_drupal_role.info b/drupal7/sites/all/modules/ldap/ldap_authorization/ldap_authorization_drupal_role/ldap_authorization_drupal_role.info
index 7229d079..4e4385d0 100644
--- a/drupal7/sites/all/modules/ldap/ldap_authorization/ldap_authorization_drupal_role/ldap_authorization_drupal_role.info
+++ b/drupal7/sites/all/modules/ldap/ldap_authorization/ldap_authorization_drupal_role/ldap_authorization_drupal_role.info
@@ -9,8 +9,8 @@ files[] = LdapAuthorizationConsumerRole.class.php
 files[] = ldap_authorization_drupal_role.module
 files[] = ldap_authorization_drupal_role.inc
 
-; Information added by Drupal.org packaging script on 2018-08-13
-version = "7.x-2.4"
+; Information added by Drupal.org packaging script on 2019-04-20
+version = "7.x-2.5"
 core = "7.x"
 project = "ldap"
-datestamp = "1534201086"
+datestamp = "1555751588"
diff --git a/drupal7/sites/all/modules/ldap/ldap_authorization/ldap_authorization_drupal_role/ldap_authorization_drupal_role.module b/drupal7/sites/all/modules/ldap/ldap_authorization/ldap_authorization_drupal_role/ldap_authorization_drupal_role.module
index 64ce5707..d1c2a7ab 100644
--- a/drupal7/sites/all/modules/ldap/ldap_authorization/ldap_authorization_drupal_role/ldap_authorization_drupal_role.module
+++ b/drupal7/sites/all/modules/ldap/ldap_authorization/ldap_authorization_drupal_role/ldap_authorization_drupal_role.module
@@ -10,7 +10,7 @@
  */
 function ldap_authorization_drupal_role_ldap_authorization_consumer() {
 
-  $types['drupal_role'] = array(
+  $types['drupal_role'] = [
     'consumer_name' => t('drupal role'),
     'consumer_name_plural' => t('drupal roles'),
     'consumer_short_name' => t('role'),
@@ -30,7 +30,7 @@ or if "Convert full dn" is selected below, they should look like:
 <code>students|students<br/>
 faculty|administrator
 </code><br/>',
-  );
+  ];
 
   return $types;
 }
@@ -40,7 +40,7 @@ faculty|administrator
  */
 function ldap_authorization_drupal_role_ldap_user_attrs_list_alter(&$available_user_attrs, &$params) {
 
-  $available_user_attrs['[property.role]'] = array(
+  $available_user_attrs['[property.role]'] = [
     'name' => 'Property: Drupal Roles',
     'source' => 'depends on configuration',
     'configurable_to_drupal' => 0,
@@ -49,8 +49,8 @@ function ldap_authorization_drupal_role_ldap_user_attrs_list_alter(&$available_u
     'direction' => LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER,
     'enabled' => TRUE,
     'config_module' => 'ldap_authorization_drupal_role',
-    'prov_events' => array(LDAP_USER_EVENT_SYNCH_TO_DRUPAL_USER, LDAP_USER_EVENT_CREATE_DRUPAL_USER),
+    'prov_events' => [LDAP_USER_EVENT_SYNCH_TO_DRUPAL_USER, LDAP_USER_EVENT_CREATE_DRUPAL_USER],
     'prov_module' => 'ldap_authorization_drupal_role',
-  );
+  ];
 
 }
diff --git a/drupal7/sites/all/modules/ldap/ldap_authorization/ldap_authorization_og/LdapAuthorizationConsumerOG.class.php b/drupal7/sites/all/modules/ldap/ldap_authorization/ldap_authorization_og/LdapAuthorizationConsumerOG.class.php
index 913d2a95..df2f8dc8 100644
--- a/drupal7/sites/all/modules/ldap/ldap_authorization/ldap_authorization_og/LdapAuthorizationConsumerOG.class.php
+++ b/drupal7/sites/all/modules/ldap/ldap_authorization/ldap_authorization_og/LdapAuthorizationConsumerOG.class.php
@@ -22,25 +22,21 @@ class LdapAuthorizationConsumerOG extends LdapAuthorizationConsumerAbstract {
   public $allowConsumerObjectCreation = FALSE;
   public $defaultMembershipRid;
   public $anonymousRid;
-  public $defaultConsumerConfProperties = array(
+  public $defaultConsumerConfProperties = [
     'onlyApplyToLdapAuthenticated' => TRUE,
     'useMappingsAsFilter' => TRUE,
     'synchOnLogon' => TRUE,
     'revokeLdapProvisioned' => TRUE,
     'regrantLdapProvisioned' => TRUE,
     'createConsumers' => TRUE,
-  );
+  ];
 
   /**
    *
    */
   public function __construct($consumer_type) {
 
-    // @todo these properties are not used in ldap og 2, but when they are their derivation needs to be examined and tested
-    // as they may be per entity rids, not global.
-    // ldap_authorization_og_rid_from_role_name(OG_AUTHENTICATED_ROLE);
     $this->defaultMembershipRid = NULL;
-    // ldap_authorization_og_rid_from_role_name(OG_ANONYMOUS_ROLE);
     $this->anonymousRid = NULL;
 
     $params = ldap_authorization_og_ldap_authorization_consumer();
@@ -52,10 +48,10 @@ class LdapAuthorizationConsumerOG extends LdapAuthorizationConsumerAbstract {
    */
   public function og2ConsumerIdParts($consumer_id) {
     if (!is_scalar($consumer_id)) {
-      return array(NULL, NULL, NULL);
+      return [NULL, NULL, NULL];
     }
     $parts = explode(':', $consumer_id);
-    return (count($parts) != 3) ? array(NULL, NULL, NULL) : $parts;
+    return (count($parts) != 3) ? [NULL, NULL, NULL] : $parts;
   }
 
   /**
@@ -73,19 +69,19 @@ class LdapAuthorizationConsumerOG extends LdapAuthorizationConsumerAbstract {
    * @see LdapAuthorizationConsumerAbstract::normalizeMappings
    */
   public function normalizeMappings($mappings) {
-    $new_mappings = array();
+    $new_mappings = [];
     $group_entity_types = og_get_all_group_bundle();
     foreach ($mappings as $i => $mapping) {
       $from = $mapping[0];
       $to = $mapping[1];
       $to_parts = explode('(raw: ', $to);
       $user_entered = $to_parts[0];
-      $new_mapping = array(
+      $new_mapping = [
         'from' => $from,
         'user_entered' => $user_entered,
         'valid' => TRUE,
         'error_message' => '',
-      );
+      ];
 
       // Has simplified and normalized part in (). update normalized part as validation.
       if (count($to_parts) == 2) {
@@ -104,7 +100,7 @@ class LdapAuthorizationConsumerOG extends LdapAuthorizationConsumerAbstract {
         $role = (count($to_simplified_parts) < 3) ? OG_AUTHENTICATED_ROLE : $to_simplified_parts[2];
         $group_name = (count($to_simplified_parts) == 1) ? $to_simplified_parts[0] : $to_simplified_parts[1];
         list($group_entity, $group_entity_id) = ldap_authorization_og2_get_group_from_name($entity_type, $group_name);
-        $to_simplified = join(':', array($entity_type, $group_name));
+        $to_simplified = join(':', [$entity_type, $group_name]);
       }
       // May be simplified or normalized, but not both.
       else {
@@ -122,7 +118,7 @@ class LdapAuthorizationConsumerOG extends LdapAuthorizationConsumerAbstract {
         list($group_entity, $group_entity_id) = ldap_authorization_og2_get_group_from_name($entity_type, $group_name_or_entity_id);
         // If load by name works, $group_name_or_entity_id is group title.
         if ($group_entity) {
-          $to_simplified = join(':', array($entity_type, $group_name_or_entity_id));
+          $to_simplified = join(':', [$entity_type, $group_name_or_entity_id]);
         }
         else {
           $to_simplified = FALSE;
@@ -136,13 +132,13 @@ class LdapAuthorizationConsumerOG extends LdapAuthorizationConsumerAbstract {
         $new_mapping['normalized'] = FALSE;
         $new_mapping['simplified'] = FALSE;
         $new_mapping['valid'] = FALSE;
-        $new_mapping['error_message'] = t("cannot find matching group: !to", array('!to' => $to));
+        $new_mapping['error_message'] = t("cannot find matching group: !to", ['!to' => $to]);
       }
       else {
         $role_id = is_numeric($role) ? $role : ldap_authorization_og2_rid_from_role_name($entity_type, $group_entity->type, $group_entity_id, $role);
         $roles = og_roles($entity_type, isset($group_entity->type) ? $group_entity->type : NULL, 0, FALSE, TRUE);
         $role_name = is_numeric($role) ? $roles[$role] : $role;
-        $to_normalized = join(':', array($entity_type, $group_entity_id, $role_id));
+        $to_normalized = join(':', [$entity_type, $group_entity_id, $role_id]);
         $to_simplified = ($to_simplified) ? $to_simplified . ':' . $role_name : $to_normalized;
         $new_mapping['normalized'] = $to_normalized;
         $new_mapping['simplified'] = $to_simplified;
@@ -186,7 +182,7 @@ class LdapAuthorizationConsumerOG extends LdapAuthorizationConsumerAbstract {
   public function populateConsumersFromConsumerIds(&$consumers, $create_missing_consumers = FALSE) {
 
     // Generate a query for all og groups of interest.
-    $gids = array();
+    $gids = [];
     foreach ($consumers as $consumer_id => $consumer) {
       list($entity_type, $gid, $rid) = explode(':', $consumer_id);
       $gids[$entity_type][] = $gid;
@@ -239,7 +235,7 @@ class LdapAuthorizationConsumerOG extends LdapAuthorizationConsumerAbstract {
     og_membership_invalidate_cache();
 
     if ($consumers) {
-      $gids_to_clear_cache = array();
+      $gids_to_clear_cache = [];
       foreach ($consumers as $i => $consumer_id) {
         list($entity_type, $gid, $rid) = $this->og2ConsumerIdParts($consumer_id);
         $gids_to_clear_cache[$gid] = $gid;
@@ -274,14 +270,14 @@ class LdapAuthorizationConsumerOG extends LdapAuthorizationConsumerAbstract {
   protected function grantsAndRevokes($op, &$user, &$user_auth_data, $consumers, &$ldap_entry = NULL, $user_save = TRUE) {
 
     if (!is_array($user_auth_data)) {
-      $user_auth_data = array();
+      $user_auth_data = [];
     }
 
     $detailed_watchdog_log = variable_get('ldap_help_watchdog_detail', 0);
     $this->sortConsumerIds($op, $consumers);
 
-    $results = array();
-    $watchdog_tokens = array();
+    $results = [];
+    $watchdog_tokens = [];
     $watchdog_tokens['%username'] = $user->name;
     $watchdog_tokens['%action'] = $op;
     $watchdog_tokens['%user_save'] = $user_save;
@@ -301,7 +297,7 @@ class LdapAuthorizationConsumerOG extends LdapAuthorizationConsumerAbstract {
      * step #1:  generate $og_actions = array of form $og_actions['revokes'|'grants'][$gid] = $rid
      *  based on all consumer ids granted and revokes
      */
-    $og_actions = array('grants' => array(), 'revokes' => array());
+    $og_actions = ['grants' => [], 'revokes' => []];
     $consumer_ids_log = "";
     $log = "";
 
@@ -323,10 +319,10 @@ class LdapAuthorizationConsumerOG extends LdapAuthorizationConsumerAbstract {
         if ($user_has_authorization && !$user_has_authorization_recorded) {
           // Grant case 1: authorization id already exists for user, but is not ldap provisioned.  mark as ldap provisioned, but don't regrant.
           $results[$consumer_id] = TRUE;
-          $user_auth_data[$consumer_id] = array(
+          $user_auth_data[$consumer_id] = [
             'date_granted' => time(),
             'consumer_id_mixed_case' => $consumer_id,
-          );
+          ];
           $log .= "grant case 1: authorization id already exists for user, but is not ldap provisioned.  mark as ldap provisioned, but don't regrant";
           $log .= $consumer_id;
         }
@@ -397,7 +393,7 @@ class LdapAuthorizationConsumerOG extends LdapAuthorizationConsumerAbstract {
     $this->og2Grants($og_actions, $user, $user_auth_data);
     $this->og2Revokes($og_actions, $user, $user_auth_data);
 
-    $user_edit = array('data' => $user->data);
+    $user_edit = ['data' => $user->data];
     $user_edit['data']['ldap_authorizations'][$this->consumerType] = $user_auth_data;
     // Force a reload of the user object, since changes made through the grant-
     // and revoke-functions above might have changed og-related field data.
@@ -434,26 +430,26 @@ class LdapAuthorizationConsumerOG extends LdapAuthorizationConsumerAbstract {
         $all_group_rids = array_keys($all_group_roles);
         // Users current rids w/authen or anon roles returned.
         $users_group_rids = array_keys(og_get_user_roles($group_entity_type, $gid, $user->uid, TRUE));
-        $users_group_rids = array_diff($users_group_rids, array($anonymous_rid));
+        $users_group_rids = array_diff($users_group_rids, [$anonymous_rid]);
         // Rids to be added without anonymous rid.
-        $new_rids = array_diff($granting_rids, $users_group_rids, array($anonymous_rid));
+        $new_rids = array_diff($granting_rids, $users_group_rids, [$anonymous_rid]);
 
         // If adding OG_AUTHENTICATED_ROLE or any other role and does not currently have OG_AUTHENTICATED_ROLE, group.
         if (!in_array($authenticated_rid, $users_group_rids) && count($new_rids) > 0) {
-          $values = array(
+          $values = [
             'entity_type' => 'user',
             'entity' => $user->uid,
             'field_name' => FALSE,
             'state' => OG_STATE_ACTIVE,
-          );
+          ];
           $og_membership = og_group($group_entity_type, $gid, $values);
-          $consumer_id = join(':', array($group_entity_type, $gid, $authenticated_rid));
-          $user_auth_data[$consumer_id] = array(
+          $consumer_id = join(':', [$group_entity_type, $gid, $authenticated_rid]);
+          $user_auth_data[$consumer_id] = [
             'date_granted' => time(),
             'consumer_id_mixed_case' => $consumer_id,
-          );
+          ];
           // Granted on membership creation.
-          $new_rids = array_diff($new_rids, array($authenticated_rid));
+          $new_rids = array_diff($new_rids, [$authenticated_rid]);
 
         }
         foreach ($new_rids as $i => $rid) {
@@ -461,11 +457,11 @@ class LdapAuthorizationConsumerOG extends LdapAuthorizationConsumerAbstract {
         }
         foreach ($granting_rids as $i => $rid) {
           // Attribute to ldap regardless of if is being granted.
-          $consumer_id = join(':', array($group_entity_type, $gid, $rid));
-          $user_auth_data[$consumer_id] = array(
+          $consumer_id = join(':', [$group_entity_type, $gid, $rid]);
+          $user_auth_data[$consumer_id] = [
             'date_granted' => time(),
             'consumer_id_mixed_case' => $consumer_id,
-          );
+          ];
         }
       }
     }
@@ -496,8 +492,7 @@ class LdapAuthorizationConsumerOG extends LdapAuthorizationConsumerAbstract {
           // Unattribute to ldap even if user does not currently have role.
           unset($user_auth_data[ldap_authorization_og_authorization_id($gid, $rid, $group_entity_type)]);
         }
-        // define('OG_ANONYMOUS_ROLE', 'non-member'); define('OG_AUTHENTICATED_ROLE', 'member');
-        // ungroup if only authenticated and anonymous role left.
+        // Ungroup if only authenticated and anonymous role left.
         if (in_array($authenticated_rid, $revoking_rids) || count($remaining_rids) == 0) {
           $entity = og_ungroup($group_entity_type, $gid, 'user', $user->uid);
           $result = (boolean) ($entity);
@@ -514,7 +509,7 @@ class LdapAuthorizationConsumerOG extends LdapAuthorizationConsumerAbstract {
     static $users;
     if (!is_array($users)) {
       // No cache exists, create static array.
-      $users = array();
+      $users = [];
     }
     elseif ($reset && isset($users[$user->uid])) {
       // Clear users cache.
@@ -529,9 +524,9 @@ class LdapAuthorizationConsumerOG extends LdapAuthorizationConsumerAbstract {
       return $users[$user->uid];
     }
 
-    $authorizations = array();
+    $authorizations = [];
 
-    $user_entities = entity_load('user', array($user->uid));
+    $user_entities = entity_load('user', [$user->uid]);
     $memberships = og_get_entity_groups('user', $user_entities[$user->uid]);
     foreach ($memberships as $entity_type => $entity_memberships) {
       foreach ($entity_memberships as $og_membership_id => $gid) {
@@ -550,7 +545,7 @@ class LdapAuthorizationConsumerOG extends LdapAuthorizationConsumerAbstract {
    * @see ldapAuthorizationConsumerAbstract::convertToFriendlyAuthorizationIds
    */
   public function convertToFriendlyAuthorizationIds($authorizations) {
-    $authorization_ids_friendly = array();
+    $authorization_ids_friendly = [];
     foreach ($authorizations as $authorization_id => $authorization) {
       $authorization_ids_friendly[] = $authorization['name'] . '  (' . $authorization_id . ')';
     }
@@ -572,14 +567,14 @@ class LdapAuthorizationConsumerOG extends LdapAuthorizationConsumerAbstract {
      *
      */
     if (!$pass) {
-      $tokens = array(
+      $tokens = [
         '!from' => $mapping['from'],
         '!user_entered' => $mapping['user_entered'],
         '!error' => $mapping['error_message'],
-      );
+      ];
       $message_text = '<code>"' . t('!map_to|!user_entered', $tokens) . '"</code> ' . t('has the following error: !error.', $tokens);
     }
-    return array($message_type, $message_text);
+    return [$message_type, $message_text];
   }
 
   /**
@@ -612,7 +607,7 @@ class LdapAuthorizationConsumerOG extends LdapAuthorizationConsumerAbstract {
      */
 
     $og_fields = field_info_field(OG_GROUP_FIELD);
-    $rows = array();
+    $rows = [];
     $role_name = OG_AUTHENTICATED_ROLE;
 
     if (!empty($og_fields['bundles'])) {
@@ -644,11 +639,11 @@ class LdapAuthorizationConsumerOG extends LdapAuthorizationConsumerAbstract {
       }
     }
 
-    $variables = array(
-      'header' => array('Group Entity - Group Title - OG Membership Type', 'example'),
+    $variables = [
+      'header' => ['Group Entity - Group Title - OG Membership Type', 'example'],
       'rows' => $rows,
-      'attributes' => array(),
-    );
+      'attributes' => [],
+    ];
 
     $table = theme('table', $variables);
     $link = l(t('admin/config/people/ldap/authorization/test/og_group'), 'admin/config/people/ldap/authorization/test/og_group');
diff --git a/drupal7/sites/all/modules/ldap/ldap_authorization/ldap_authorization_og/ldap_authorization_og.info b/drupal7/sites/all/modules/ldap/ldap_authorization/ldap_authorization_og/ldap_authorization_og.info
index 499cbb6b..5ca572fe 100644
--- a/drupal7/sites/all/modules/ldap/ldap_authorization/ldap_authorization_og/ldap_authorization_og.info
+++ b/drupal7/sites/all/modules/ldap/ldap_authorization/ldap_authorization_og/ldap_authorization_og.info
@@ -13,8 +13,8 @@ files[] = ldap_authorization_og.inc
 
 core = "7.x"
 
-; Information added by Drupal.org packaging script on 2018-08-13
-version = "7.x-2.4"
+; Information added by Drupal.org packaging script on 2019-04-20
+version = "7.x-2.5"
 core = "7.x"
 project = "ldap"
-datestamp = "1534201086"
+datestamp = "1555751588"
diff --git a/drupal7/sites/all/modules/ldap/ldap_authorization/ldap_authorization_og/ldap_authorization_og.module b/drupal7/sites/all/modules/ldap/ldap_authorization/ldap_authorization_og/ldap_authorization_og.module
index 63f53f52..4478e42e 100644
--- a/drupal7/sites/all/modules/ldap/ldap_authorization/ldap_authorization_og/ldap_authorization_og.module
+++ b/drupal7/sites/all/modules/ldap/ldap_authorization/ldap_authorization_og/ldap_authorization_og.module
@@ -9,7 +9,7 @@
  * Implements hook_ldap_authorization_consumer().
  */
 function ldap_authorization_og_ldap_authorization_consumer() {
-  $types['og_group'] = array(
+  $types['og_group'] = [
     'consumer_name' => t('OG group'),
     'consumer_name_plural' => t('OG groups'),
     'consumer_short_name' => t('group'),
@@ -18,7 +18,7 @@ function ldap_authorization_og_ldap_authorization_consumer() {
     'consumer_class_name' => 'LdapAuthorizationConsumerOG',
     'consumer_class_file' => 'LdapAuthorizationConsumerOG.class.php',
     'consumer_module' => 'ldap_authorization_og',
-  );
+  ];
 
   $types['og_group']['consumer_mapping_directions'] = 'Mappings should be of form:<br/>
     <code>[raw authorization id]|[og entity type]:[og entity id or title]:[og role id]</code>
@@ -85,7 +85,7 @@ function ldap_authorization_og2_get_group_from_name($entity_type, $group_name) {
     }
   }
 
-  return array($group_entity, $group_entity_id);
+  return [$group_entity, $group_entity_id];
 
 }
 
@@ -95,10 +95,10 @@ function ldap_authorization_og2_get_group_from_name($entity_type, $group_name) {
 function ldap_authorization_og2_has_consumer_id($consumer_id, $uid) {
   $parts = explode(':', $consumer_id);
   $result = FALSE;
-  $watchdog_tokens = array(
+  $watchdog_tokens = [
     '%consumer_id' => $consumer_id,
     '%uid' => $uid,
-  );
+  ];
   if (count($parts) == 3) {
     list($group_type, $gid, $rid) = $parts;
     // Need to make sure entity exists before calling og_get_user_roles which will throw fatal error.
@@ -154,7 +154,7 @@ function ldap_authorization_og2_rid_from_role_name($entity_type, $bundle, $gid,
  *
  */
 function ldap_authorization_og_get_all_group_entities() {
-  $entities = array();
+  $entities = [];
   $group_entity_types = og_get_all_group_bundle();
   foreach ($group_entity_types as $entity_type => $group) {
     $entity_ids = og_get_all_group('node');
